/*
 * zGo2ProfileBoxArea.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PROFILEBOXAREA_H_INCLUDED
#define LMITECH_GO2PROFILEBOXAREA_H_INCLUDED

#include <Go2Measurements/Go2ProfileBoxArea.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2ProfileBoxArea Class 
 */

typedef struct Go2ProfileBoxAreaClass
{
    GO2_MEASUREMENT_FIELDS(); 
    Go2ProfileArea area; 
} Go2ProfileBoxAreaClass; 

GO2_EXPORT(Go2Status) Go2ProfileBoxArea_Construct(Go2ProfileBoxArea* measurement, Go2UInt32 id, Go2Object system); 
GO2_EXPORT(Go2Status) Go2ProfileBoxArea_Init(Go2ProfileBoxArea measurement, Go2UInt32 id, Go2Object system); 

GO2_EXPORT(Go2Status) Go2ProfileBoxArea_VRelease(Go2ProfileBoxArea measurement); 
GO2_EXPORT(Go2Status) Go2ProfileBoxArea_VRead(Go2ProfileBoxArea measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2ProfileBoxArea_VWrite(Go2ProfileBoxArea measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
